Index: platform_tools/barelinux/bin/arm64_make |
diff --git a/platform_tools/barelinux/bin/arm64_make b/platform_tools/barelinux/bin/arm64_make |
new file mode 100755 |
index 0000000000000000000000000000000000000000..587181e927f8f06cafbe2bc89be9095d761b2d0a |
--- /dev/null |
+++ b/platform_tools/barelinux/bin/arm64_make |
@@ -0,0 +1,57 @@ |
+#!/bin/sh |
+ |
+# Copyright 2014 Google Inc. |
+# |
+# Use of this source code is governed by a BSD-style license that can be |
+# found in the LICENSE file. |
+ |
+usage() { |
+ cat >&2 <<EOF |
+arm64_make - this script builds a ARMv7 Aarch64 version of skia that |
+does not depend on external libraries, perfect for putting in an |
+embedded system running Linux. |
+ |
+Assumes that you have already run the download_deps script. |
+ |
+Usage: |
+ $0 \\ |
+ [-o SKIA_OUT_DIR] [-c CC_EXE] [-x CXX_EXE] \\ |
+ [-t Debug | Release | Coverage | Release_Developer] \\ |
+ |
+Example use: |
+ $0 \\ |
+ -o ~/build/skia/arg64gcc \\ |
+ -c ~/local/arm64/bin/aarch64-linux-gnu-gcc \\ |
+ -x ~/local/arm64/bin/aarch64-linux-gnu-g++ \\ |
+EOF |
+ return 1 |
+} |
+ |
+# BUILD_TYPE should be one of: |
+# Coverage, Debug, Release, or Release_Developer |
+BUILD_TYPE='Debug' |
+ |
+while getopts ":c:x:o:t:h" opt ; do |
+ case $opt in |
+ c) export CC="$OPTARG" ;; |
+ x) export CXX="$OPTARG" ;; |
+ o) export SKIA_OUT="$OPTARG";; |
+ t) BUILD_TYPE="$OPTARG";; |
+ h) usage || exit;; |
+ ?) echo "unknown option '$OPTARG'" >&2; |
+ usage || exit;; |
+ esac |
+done |
+ |
+export GYP_DEFINES="${GYP_DEFINES} \ |
+ skia_gpu=0 \ |
+ skia_arch_type=arm \ |
+ skia_arch_width=64 \ |
+ armv7=1 \ |
+ armv8=1 \ |
+ arm_neon=0 \ |
+ arm_thumb=0 \ |
+ " |
+ |
+"$(dirname "$0")/barelinux_make" -t "$BUILD_TYPE" |
+ |